summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-08-01 14:27:17 -0400
committerAdam Feldman <NP-Hardass@gentoo.org>2020-08-19 15:54:38 -0400
commitf59be307fbc5ef4d693ebde8cbcce6b63cb6304f (patch)
tree70bc8c5d5dbd8b59e7ee18aa2d5ca7c07f5132ba
parentnet-firewall/shorewall: x86 stable, applying ALLARCHES policy (diff)
downloadgentoo-f59be307.tar.gz
gentoo-f59be307.tar.bz2
gentoo-f59be307.zip
mate.eclass: drop static-libs whenever possible
Whenever package doesn't have static-libs available and selected, if configure script has static-libs selectable, explicitly disable Bug: https://bugs.gentoo.org/695878 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
-rw-r--r--eclass/mate.eclass12
1 files changed, 11 insertions, 1 deletions
diff --git a/eclass/mate.eclass b/eclass/mate.eclass
index db511aedb1f1..3dea7bd7d6f7 100644
--- a/eclass/mate.eclass
+++ b/eclass/mate.eclass
@@ -115,7 +115,17 @@ mate_src_prepare() {
# MATE specific configure handling
# Stub to gnome2_src_configure()
mate_src_configure() {
- gnome2_src_configure "$@"
+
+ local mateconf=()
+
+ # Pass --disable-static whenever possible
+ if ! use_if_iuse static-libs; then
+ if grep -q "enable-static" "${ECONF_SOURCE:-.}"/configure; then
+ mateconf+=( --disable-static )
+ fi
+ fi
+
+ gnome2_src_configure "${mateconf[@]} $@"
}
# @FUNCTION: mate_src_install